package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * (BdDeptdoc)实体类
 *
 * @author makejava
 * @since 2023-09-13 11:37:15
 */
public class BdDeptdocEntity extends BaseEntity {

    private String addr;
    private String canceldate;
    private String canceled;
    private String createdate;
    private String def1;
    private String def10;
    private String def11;
    private String def12;
    private String def13;
    private String def14;
    private String def15;
    private String def16;
    private String def17;
    private String def18;
    private String def19;
    private String def2;
    private String def20;
    private String def3;
    private String def4;
    private String def5;
    private String def6;
    private String def7;
    private String def8;
    private String def9;
    private String deptattr;
    private String deptcode;
    private String deptduty;
    private String deptlevel;
    private String deptname;
    private String deptshortname;
    private Integer depttype;
    private Integer dr;
    private String hrcanceled;
    private String innercode;
    private String isuseretail;
    private String maxinnercode;
    private String memo;
    private Integer orgtype;
    private String phone;
    private String pkCalbody;
    private String pkCorp;
    private String pkDeptdoc;
    private String pkFathedept;
    private String pkPsndoc;
    private String pkPsndoc2;
    private String pkPsndoc3;
    private String remcode;
    private String resposition;
    private Integer showorder;
    private String ts;
    private Integer xtersysflag;


    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    public String getCanceldate() {
        return canceldate;
    }

    public void setCanceldate(String canceldate) {
        this.canceldate = canceldate;
    }

    public String getCanceled() {
        return canceled;
    }

    public void setCanceled(String canceled) {
        this.canceled = canceled;
    }

    public String getCreatedate() {
        return createdate;
    }

    public void setCreatedate(String createdate) {
        this.createdate = createdate;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getDef10() {
        return def10;
    }

    public void setDef10(String def10) {
        this.def10 = def10;
    }

    public String getDef11() {
        return def11;
    }

    public void setDef11(String def11) {
        this.def11 = def11;
    }

    public String getDef12() {
        return def12;
    }

    public void setDef12(String def12) {
        this.def12 = def12;
    }

    public String getDef13() {
        return def13;
    }

    public void setDef13(String def13) {
        this.def13 = def13;
    }

    public String getDef14() {
        return def14;
    }

    public void setDef14(String def14) {
        this.def14 = def14;
    }

    public String getDef15() {
        return def15;
    }

    public void setDef15(String def15) {
        this.def15 = def15;
    }

    public String getDef16() {
        return def16;
    }

    public void setDef16(String def16) {
        this.def16 = def16;
    }

    public String getDef17() {
        return def17;
    }

    public void setDef17(String def17) {
        this.def17 = def17;
    }

    public String getDef18() {
        return def18;
    }

    public void setDef18(String def18) {
        this.def18 = def18;
    }

    public String getDef19() {
        return def19;
    }

    public void setDef19(String def19) {
        this.def19 = def19;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef20() {
        return def20;
    }

    public void setDef20(String def20) {
        this.def20 = def20;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

    public String getDef6() {
        return def6;
    }

    public void setDef6(String def6) {
        this.def6 = def6;
    }

    public String getDef7() {
        return def7;
    }

    public void setDef7(String def7) {
        this.def7 = def7;
    }

    public String getDef8() {
        return def8;
    }

    public void setDef8(String def8) {
        this.def8 = def8;
    }

    public String getDef9() {
        return def9;
    }

    public void setDef9(String def9) {
        this.def9 = def9;
    }

    public String getDeptattr() {
        return deptattr;
    }

    public void setDeptattr(String deptattr) {
        this.deptattr = deptattr;
    }

    public String getDeptcode() {
        return deptcode;
    }

    public void setDeptcode(String deptcode) {
        this.deptcode = deptcode;
    }

    public String getDeptduty() {
        return deptduty;
    }

    public void setDeptduty(String deptduty) {
        this.deptduty = deptduty;
    }

    public String getDeptlevel() {
        return deptlevel;
    }

    public void setDeptlevel(String deptlevel) {
        this.deptlevel = deptlevel;
    }

    public String getDeptname() {
        return deptname;
    }

    public void setDeptname(String deptname) {
        this.deptname = deptname;
    }

    public String getDeptshortname() {
        return deptshortname;
    }

    public void setDeptshortname(String deptshortname) {
        this.deptshortname = deptshortname;
    }

    public Integer getDepttype() {
        return depttype;
    }

    public void setDepttype(Integer depttype) {
        this.depttype = depttype;
    }

    public Integer getDr() {
        return dr;
    }

    public void setDr(Integer dr) {
        this.dr = dr;
    }

    public String getHrcanceled() {
        return hrcanceled;
    }

    public void setHrcanceled(String hrcanceled) {
        this.hrcanceled = hrcanceled;
    }

    public String getInnercode() {
        return innercode;
    }

    public void setInnercode(String innercode) {
        this.innercode = innercode;
    }

    public String getIsuseretail() {
        return isuseretail;
    }

    public void setIsuseretail(String isuseretail) {
        this.isuseretail = isuseretail;
    }

    public String getMaxinnercode() {
        return maxinnercode;
    }

    public void setMaxinnercode(String maxinnercode) {
        this.maxinnercode = maxinnercode;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Integer getOrgtype() {
        return orgtype;
    }

    public void setOrgtype(Integer orgtype) {
        this.orgtype = orgtype;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPkCalbody() {
        return pkCalbody;
    }

    public void setPkCalbody(String pkCalbody) {
        this.pkCalbody = pkCalbody;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getPkDeptdoc() {
        return pkDeptdoc;
    }

    public void setPkDeptdoc(String pkDeptdoc) {
        this.pkDeptdoc = pkDeptdoc;
    }

    public String getPkFathedept() {
        return pkFathedept;
    }

    public void setPkFathedept(String pkFathedept) {
        this.pkFathedept = pkFathedept;
    }

    public String getPkPsndoc() {
        return pkPsndoc;
    }

    public void setPkPsndoc(String pkPsndoc) {
        this.pkPsndoc = pkPsndoc;
    }

    public String getPkPsndoc2() {
        return pkPsndoc2;
    }

    public void setPkPsndoc2(String pkPsndoc2) {
        this.pkPsndoc2 = pkPsndoc2;
    }

    public String getPkPsndoc3() {
        return pkPsndoc3;
    }

    public void setPkPsndoc3(String pkPsndoc3) {
        this.pkPsndoc3 = pkPsndoc3;
    }

    public String getRemcode() {
        return remcode;
    }

    public void setRemcode(String remcode) {
        this.remcode = remcode;
    }

    public String getResposition() {
        return resposition;
    }

    public void setResposition(String resposition) {
        this.resposition = resposition;
    }

    public Integer getShoworder() {
        return showorder;
    }

    public void setShoworder(Integer showorder) {
        this.showorder = showorder;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public Integer getXtersysflag() {
        return xtersysflag;
    }

    public void setXtersysflag(Integer xtersysflag) {
        this.xtersysflag = xtersysflag;
    }

}